at.chipkarte.client.rez.soap

## Class ERezeptVerordnerReferenz

- Object
- - at.chipkarte.client.rez.soap.ERezeptVerordnerReferenz

-     public class ERezeptVerordnerReferenz
      extends Object

  Rückgabe der Funktion `selbsterstellteERezepteSuchen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptVerordnerReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusstellungsdatum()` Datum der Ausstellung.
    `String` | `getKarteninhaberKennnummer()` 6 Kennnummer des Karteninhabers.
    `String` | `getKvt()` KV-Träger.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname des Patienten.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getSvnr()` Versicherungsnummer.
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setKarteninhaberKennnummer(String karteninhaberKennnummer)`
    `void` | `setKvt(String kvt)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezId(String rezId)`
    `void` | `setSvnr(String svnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptVerordnerReferenz

          public ERezeptVerordnerReferenz()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Format: 12-stellig
      Angabe: Muss.
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer.
      Format: 10-stellig
      Angabe: Bedingt.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getKarteninhaberKennnummer

          public String getKarteninhaberKennnummer()

      6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
      Angabe: Bedingt.
      Format: 1 bis 30-stellig.
      Returns:
        KarteninhaberKennnummer.

    - #### setKarteninhaberKennnummer

          public void setKarteninhaberKennnummer(String karteninhaberKennnummer)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Muss.
      Returns:
        Freitext PatientVorname

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Muss.
      Returns:
        Freitext PatientZuname

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        KVT

    - #### setKvt

          public void setKvt(String kvt)